Name:           bti
Version:        031
Release:        2%{?dist}
Summary:        Bash Twitter/Identi.ca Idiocy

Group:          Applications/Internet
License:        GPLv2
URL:            http://www.kernel.org/pub/linux/kernel/people/gregkh/bti
Source0:        http://www.kernel.org/pub/linux/kernel/people/gregkh/bti/bti-%{version}.tar.bz2
Source1:        README.Fedora
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%if 0%{?el5}
BuildRequires:  curl-devel
%else
BuildRequires:  libcurl-devel
%endif
BuildRequires:  liboauth-devel libxml2-devel pcre-devel
#Requires:       

%description
Allows you to pipe your bash input to twitter or identi.ca in an easy
and fast manner to annoy the whole world.


%prep
%setup -q
cp -p %{SOURCE1} .


%build
%configure
make %{?_smp_mflags} LDFLAGS="-L%{_libdir}/readline5"


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# bash completion
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d
cp -p bti-bashcompletion $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d/bti


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc bti.example ChangeLog COPYING README README.Fedora RELEASE-NOTES
# Own the directory so that we do not need to Require:
# bash-completion just for one file
%dir %{_sysconfdir}/bash_completion.d
%config(noreplace) %{_sysconfdir}/bash_completion.d/bti
%{_bindir}/bti
%{_bindir}/bti-shrink-urls
%{_mandir}/man1/*



%changelog
* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 031-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Mar 22 2011 Michel Salim <salimma@fedoraproject.org> - 031-1
- Update to 031

* Sat Mar 19 2011 Michel Salim <salimma@fedoraproject.org> - 030-3
- Improved comment marker fix, now safer and handle lines containing both
  non-marker and marker '#'s

* Fri Mar 18 2011 Michel Salim <salimma@fedoraproject.org> - 030-2
- Improve detection of comment marker in configuration file

* Fri Mar 18 2011 Michel Salim <salimma@fedoraproject.org> - 030-1
- Update to 030

* Sat Mar 12 2011 Michel Salim <salimma@fedoraproject.org> - 029-1
- Update to 029

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 028-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Nov  6 2010 Michel Salim <salimma@fedoraproject.org> - 028-3
- Rebuilt for new libxml2 on Rawhide

* Wed Sep 29 2010 jkeating - 028-2
- Rebuilt for gcc bug 634757

* Wed Sep  8 2010 Michel Salim <salimma@fedoraproject.org> - 028-1
- Update to 028

* Thu May 20 2010 Michel Salim <salimma@fedoraproject.org> - 026-1
- Update to 026

* Wed Aug 19 2009 Michel Salim <salimma@fedoraproject.org> - 023-1
- Update to 023
- Build against readline v5, due to licensing incompatibilities with v6
  (bug #511301)

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 015-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Mar 13 2009 Michel Salim <salimma@fedoraproject.org> - 015-1
- Update to 015

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 014-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 23 2009 Michel Salim <salimma@fedoraproject.org> - 014-1
- Update to 014

* Mon Dec 29 2008 Michel Salim <salimma@fedoraproject.org> - 007-1
- Update to 0.0.7

* Thu Aug 28 2008 Michel Salim <salimma@fedoraproject.org> - 005-1
- Initial package

